Reference Manual

Main Page | Namespace List | Class Hierarchy | Alphabetical List | Compound List | File List | Namespace Members | Compound Members | File Members

# i18n.h File Reference

A C++ gettext wrapper for internationalization and localiztion. More...

`#include <inti/utf-string.h>`

Go to the source code of this file.

## Namespaces

- namespace Inti
- namespace Inti::i18n

## Defines

- #define N_(str) (str)
    Macro for No-op i18n marker.

## Detailed Description

A C++ gettext wrapper for internationalization and localiztion.

Provides convenient C++ wrapper methods for the various gettext functions.

## Define Documentation

#define N_ | ( | str |  | ) | (str)

| Macro for No-op i18n marker. Unfortunately there's no way to make this a function, since the whole point is to have a way to mark text for translation in contexts where a function call is not permitted. You can #define INTI_NO_INTL_NOOP_MARKER to get rid of this macro.

Main Page - Footer